! I =(2/45)h(7f0+ 32f1+ 12f2+ 32f3+ 7f4); Err~h7
!
Real function Boole(ff) ! external ff
use work
real x, x0, ffx(0:4)

Boole =0.
ffx =0
!x0 =a

do i =0,n-4,4
x0 =a +i*h

    do ii =0,4
    x =x0 +ii*h
    ffx(ii) =ff(x)
    enddo

!x0 =x
Boole =Boole +7*ffx(0)+ 32*ffx(1)+ 12*ffx(2)+ 32*ffx(3)+ 7*ffx(4)
enddo

Boole =Boole*h*2/45.

END
